## bridge-port bridge-port — Bridge Port Settings |

## Properties

Table 43.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---
    hairpin-mode
    boolean
    FALSE
| Enables or disables "hairpin mode" for the port, which allows frames to be sent back out through the port the frame was received on.
    path-cost
    uint32
    100
| The Spanning Tree Protocol (STP) port cost for destinations via this port.
    priority
    uint32
    32
| The Spanning Tree Protocol (STP) priority of this bridge port.
    vlans
    array of vardict
| Array of bridge VLAN objects. In addition to the VLANs specified here, the port will also have the default-pvid VLAN configured on the bridge by the bridge.vlan-default-pvid property. In nmcli the VLAN list can be specified with the following syntax: $vid [pvid] [untagged] [, $vid [pvid] [untagged]]... where $vid is either a single id between 1 and 4094 or a range, represented as a couple of ids separated by a dash.